
<!DOCTYPE html>

<html class="no-js" lang="en">
<head>
<meta charset="utf-8"/>
<meta content="width=device-width,initial-scale=1" name="viewport"/>
<link href="../assets/images/favicon.png" rel="icon"/>
<meta content="mkdocs-1.2.3, mkdocs-material-7.3.6" name="generator"/>
<title>Table des illustrations - SecuWallet</title>
<link href="../assets/stylesheets/main.a57b2b03.min.css" rel="stylesheet"/>
<link href="../assets/stylesheets/palette.3f5d1f46.min.css" rel="stylesheet"/>
<meta content="#ab47bd" name="theme-color"/>
<link crossorigin="" href="https://fonts.gstatic.com" rel="preconnect"/>
<link href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700%7CRoboto+Mono&amp;display=fallback" rel="stylesheet"/>
<style>:root{--md-text-font-family:"Roboto";--md-code-font-family:"Roboto Mono"}</style>
<link href="https://unpkg.com/mermaid@8.5.1/dist/mermaid.css" rel="stylesheet"/>
<link href="../extra.css" rel="stylesheet"/>
</head>
<body data-md-color-accent="" data-md-color-primary="purple" data-md-color-scheme="slate" dir="ltr">
<script>function __prefix(e){return new URL("..",location).pathname+"."+e}function __get(e,t=localStorage){return JSON.parse(t.getItem(__prefix(e)))}</script>
<input autocomplete="off" class="md-toggle" data-md-toggle="drawer" id="__drawer" type="checkbox"/>
<input autocomplete="off" class="md-toggle" data-md-toggle="search" id="__search" type="checkbox"/>
<label class="md-overlay" for="__drawer"></label>
<div data-md-component="skip">
</div>
<div data-md-component="announce">
</div>
<header class="md-header" data-md-component="header">
<nav aria-label="Header" class="md-header__inner md-grid">
<a aria-label="SecuWallet" class="md-header__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
<label class="md-header__button md-icon" for="__drawer">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2z"></path></svg>
</label>
<div class="md-header__title" data-md-component="header-title">
<div class="md-header__ellipsis">
<div class="md-header__topic">
<span class="md-ellipsis">
            SecuWallet
          </span>
</div>
<div class="md-header__topic" data-md-component="header-topic">
<span class="md-ellipsis">
            
              Table des illustrations
            
          </span>
</div>
</div>
</div>
<label class="md-header__button md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
</label>
<div class="md-search" data-md-component="search" role="dialog">
<label class="md-search__overlay" for="__search"></label>
<div class="md-search__inner" role="search">
<form class="md-search__form" name="search">
<input aria-label="Search" autocapitalize="off" autocomplete="off" autocorrect="off" class="md-search__input" data-md-component="search-query" name="query" placeholder="Search" required="" spellcheck="false" type="text"/>
<label class="md-search__icon md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</label>
<nav aria-label="Search" class="md-search__options">
<button aria-label="Clear" class="md-search__icon md-icon" tabindex="-1" type="reset">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"></path></svg>
</button>
</nav>
</form>
<div class="md-search__output">
<div class="md-search__scrollwrap" data-md-scrollfix="">
<div class="md-search-result" data-md-component="search-result">
<div class="md-search-result__meta">
            Initializing search
          </div>
<ol class="md-search-result__list"></ol>
</div>
</div>
</div>
</div>
</div>
</nav>
</header>
<div class="md-container" data-md-component="container">
<main class="md-main" data-md-component="main">
<div class="md-main__inner md-grid">
<div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Navigation" class="md-nav md-nav--primary" data-md-level="0">
<label class="md-nav__title" for="__drawer">
<a aria-label="SecuWallet" class="md-nav__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
    SecuWallet
  </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../0_Poster/">
        Poster
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../1_Resume/">
        Introduction
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../2_CahierDesCharges/">
        Cahier des charges
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../3_planning/">
        Planning
      </a>
</li>
<li class="md-nav__item md-nav__item--nested">
<input class="md-nav__toggle md-toggle" data-md-toggle="__nav_5" id="__nav_5" type="checkbox"/>
<label class="md-nav__link" for="__nav_5">
          Documentation technique
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Documentation technique" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_5">
<span class="md-nav__icon md-icon"></span>
          Documentation technique
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../4_analyseExistant/">
        Analyse de L'existant
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../5_userStories/">
        User Stories
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../6_interface/">
        Interfaces
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../7_Architecture/">
        Architecture
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../8_outilsExterne/">
        Outils et librairies externes
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../9_installationEnvironnement/">
        Installation de l'environnement
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../10_EncryptionBdd/">
        Encryption de base de données
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../docClasse/">
        Description Classes
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../Tests/">
        Tests
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../conclusion/">
        Conclusion
      </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item md-nav__item--active md-nav__item--nested">
<input checked="" class="md-nav__toggle md-toggle" data-md-toggle="__nav_6" id="__nav_6" type="checkbox"/>
<label class="md-nav__link" for="__nav_6">
          Annexes
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Annexes" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_6">
<span class="md-nav__icon md-icon"></span>
          Annexes
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../JournalDeBord/">
        Journal de bord
      </a>
</li>
<li class="md-nav__item md-nav__item--active">
<input class="md-nav__toggle md-toggle" data-md-toggle="toc" id="__toc" type="checkbox"/>
<a class="md-nav__link md-nav__link--active" href="./">
        Table des illustrations
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../planningAnnexe/">
        Planning
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../codeSource/">
        Code source
      </a>
</li>
</ul>
</nav>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-content" data-md-component="content">
<article class="md-content__inner md-typeset">
<h1>Table des illustrations</h1>
<p> <a class="key" href="#fig1" id="figListing1">[Fig 1]: </a><span class="value">Historique des transactions Metamask</span> </p>
<p> <a class="key" href="#fig2" id="figListing2">[Fig 2]: </a><span class="value">Génération des certificats</span> </p>
<p> <a class="key" href="#fig3" id="figListing3">[Fig 3]: </a><span class="value">Modification des droits sur le dossier transit</span> </p>
<p> <a class="key" href="#fig4" id="figListing4">[Fig 4]: </a><span class="value">Status de la connexion en utilisant TLS</span> </p>
<p> <a class="key" href="#fig5" id="figListing5">[Fig 5]: </a><span class="value">Performance table claire vs cryptée</span> </p>
<p> <a class="key" href="#fig6" id="figListing6">[Fig 6]: </a><span class="value">Contenu du fichier key</span> </p>
<p> <a class="key" href="#fig7" id="figListing7">[Fig 7]: </a><span class="value">Contenu du dossier rest</span> </p>
<p> <a class="key" href="#fig8" id="figListing8">[Fig 8]: </a><span class="value">Modification des droits sur le dossier rest</span> </p>
<p> <a class="key" href="#fig9" id="figListing9">[Fig 9]: </a><span class="value">Configuration de l'encryption At-Rest</span> </p>
<p> <a class="key" href="#fig10" id="figListing10">[Fig 10]: </a><span class="value">Table claire</span> </p>
<p> <a class="key" href="#fig11" id="figListing11">[Fig 11]: </a><span class="value">Table cryptée</span> </p>
<p> <a class="key" href="#fig12" id="figListing12">[Fig 12]: </a><span class="value">Mockup connexion</span> </p>
<p> <a class="key" href="#fig13" id="figListing13">[Fig 13]: </a><span class="value">Mockup acceuil</span> </p>
<p> <a class="key" href="#fig14" id="figListing14">[Fig 14]: </a><span class="value">Mockup paramètres</span> </p>
<p> <a class="key" href="#fig15" id="figListing15">[Fig 15]: </a><span class="value">Mockup créer compte</span> </p>
<p> <a class="key" href="#fig16" id="figListing16">[Fig 16]: </a><span class="value">Mockup importer compte</span> </p>
<p> <a class="key" href="#fig17" id="figListing17">[Fig 17]: </a><span class="value">Planning previsionel</span> </p>
<p> <a class="key" href="#fig18" id="figListing18">[Fig 18]: </a><span class="value">Planning effectif</span> </p>
<p> <a class="key" href="#fig19" id="figListing19">[Fig 19]: </a><span class="value">Logo Metamask</span> </p>
<p> <a class="key" href="#fig20" id="figListing20">[Fig 20]: </a><span class="value">Formulaire d'inscription Metamask</span> </p>
<p> <a class="key" href="#fig21" id="figListing21">[Fig 21]: </a><span class="value">Création d'un mot de passe Metamask</span> </p>
<p> <a class="key" href="#fig22" id="figListing22">[Fig 22]: </a><span class="value">Connexion Metamask</span> </p>
<p> <a class="key" href="#fig23" id="figListing23">[Fig 23]: </a><span class="value">Acceuil Metamask</span> </p>
<p> <a class="key" href="#fig24" id="figListing24">[Fig 24]: </a><span class="value">Création transaction Metamask</span> </p>
<p> <a class="key" href="#fig25" id="figListing25">[Fig 25]: </a><span class="value">Liste contacts Metamask</span> </p>
<p> <a class="key" href="#fig26" id="figListing26">[Fig 26]: </a><span class="value">Création contact Metamask</span> </p>
<p> <a class="key" href="#fig27" id="figListing27">[Fig 27]: </a><span class="value">Historique des transactions Metamask</span> </p>
<p> <a class="key" href="#fig28" id="figListing28">[Fig 28]: </a><span class="value">Liste des portefeuilles Metamask</span> </p>
<p> <a class="key" href="#fig29" id="figListing29">[Fig 29]: </a><span class="value">Liens entre les mockup</span> </p>
<p> <a class="key" href="#fig30" id="figListing30">[Fig 30]: </a><span class="value">Mockup login</span> </p>
<p> <a class="key" href="#fig31" id="figListing31">[Fig 31]: </a><span class="value">Diagramme connexion</span> </p>
<p> <a class="key" href="#fig32" id="figListing32">[Fig 32]: </a><span class="value">Mockup acceuil</span> </p>
<p> <a class="key" href="#fig33" id="figListing33">[Fig 33]: </a><span class="value">Mockup envoi</span> </p>
<p> <a class="key" href="#fig34" id="figListing34">[Fig 34]: </a><span class="value">Diagramme transaction</span> </p>
<p> <a class="key" href="#fig35" id="figListing35">[Fig 35]: </a><span class="value">Mockup recevoir</span> </p>
<p> <a class="key" href="#fig36" id="figListing36">[Fig 36]: </a><span class="value">Mockup mon compte</span> </p>
<p> <a class="key" href="#fig37" id="figListing37">[Fig 37]: </a><span class="value">Mockup gestion des portefeuilles</span> </p>
<p> <a class="key" href="#fig38" id="figListing38">[Fig 38]: </a><span class="value">Diagramme nouveau portefeuilles</span> </p>
<p> <a class="key" href="#fig39" id="figListing39">[Fig 39]: </a><span class="value">Mockup import gestion portefeuilles</span> </p>
<p> <a class="key" href="#fig40" id="figListing40">[Fig 40]: </a><span class="value">Diagramme importer portefeuilles (Clé)</span> </p>
<p> <a class="key" href="#fig41" id="figListing41">[Fig 41]: </a><span class="value">Diagramme importer portefeuilles (JSON)</span> </p>
<p> <a class="key" href="#fig42" id="figListing42">[Fig 42]: </a><span class="value">Mockup suppression gestion portefeuille</span> </p>
<p> <a class="key" href="#fig43" id="figListing43">[Fig 43]: </a><span class="value">Diagramme suppression portefeuilles (JSON)</span> </p>
<p> <a class="key" href="#fig44" id="figListing44">[Fig 44]: </a><span class="value">Mockup paramètres</span> </p>
<p> <a class="key" href="#fig45" id="figListing45">[Fig 45]: </a><span class="value">Page d'accueil</span> </p>
<p> <a class="key" href="#fig46" id="figListing46">[Fig 46]: </a><span class="value">Page création compte</span> </p>
<p> <a class="key" href="#fig47" id="figListing47">[Fig 47]: </a><span class="value">Page connexion</span> </p>
<p> <a class="key" href="#fig48" id="figListing48">[Fig 48]: </a><span class="value">Interface Connexion</span> </p>
<p> <a class="key" href="#fig49" id="figListing49">[Fig 49]: </a><span class="value">Interface Google Authenticator</span> </p>
<p> <a class="key" href="#fig50" id="figListing50">[Fig 50]: </a><span class="value">Interface Acceuil</span> </p>
<p> <a class="key" href="#fig51" id="figListing51">[Fig 51]: </a><span class="value">Interface Recevoir</span> </p>
<p> <a class="key" href="#fig52" id="figListing52">[Fig 52]: </a><span class="value">Interface Envoyer</span> </p>
<p> <a class="key" href="#fig53" id="figListing53">[Fig 53]: </a><span class="value">Interface Confirmation d'envoi</span> </p>
<p> <a class="key" href="#fig54" id="figListing54">[Fig 54]: </a><span class="value">Interface Confirmation Authenticator</span> </p>
<p> <a class="key" href="#fig55" id="figListing55">[Fig 55]: </a><span class="value">Interface mon compte</span> </p>
<p> <a class="key" href="#fig56" id="figListing56">[Fig 56]: </a><span class="value">Interface suppression portefeuille</span> </p>
<p> <a class="key" href="#fig57" id="figListing57">[Fig 57]: </a><span class="value">Interface création portefeuille</span> </p>
<p> <a class="key" href="#fig58" id="figListing58">[Fig 58]: </a><span class="value">Interface importer portefeuille</span> </p>
<p> <a class="key" href="#fig59" id="figListing59">[Fig 59]: </a><span class="value">Interface import par clé privée</span> </p>
<p> <a class="key" href="#fig60" id="figListing60">[Fig 60]: </a><span class="value">Interface import par fichier JSON</span> </p>
<p> <a class="key" href="#fig61" id="figListing61">[Fig 61]: </a><span class="value">Interface suppression portefeuille</span> </p>
<p> <a class="key" href="#fig62" id="figListing62">[Fig 62]: </a><span class="value">Interface paramètres</span> </p>
<p> <a class="key" href="#fig63" id="figListing63">[Fig 63]: </a><span class="value">Interface contacts</span> </p>
<p> <a class="key" href="#fig64" id="figListing64">[Fig 64]: </a><span class="value">Interface créer contact</span> </p>
<p> <a class="key" href="#fig65" id="figListing65">[Fig 65]: </a><span class="value">Interface modifier contact</span> </p>
<p> <a class="key" href="#fig66" id="figListing66">[Fig 66]: </a><span class="value">Diagramme de classes</span> </p>
<p> <a class="key" href="#fig67" id="figListing67">[Fig 67]: </a><span class="value">Logo Raspberry</span> </p>
<p> <a class="key" href="#fig68" id="figListing68">[Fig 68]: </a><span class="value">Contenu du Raspberry</span> </p>
<p> <a class="key" href="#fig69" id="figListing69">[Fig 69]: </a><span class="value">Logo Apache2</span> </p>
<p> <a class="key" href="#fig70" id="figListing70">[Fig 70]: </a><span class="value">Logo MariaDB</span> </p>
<p> <a class="key" href="#fig71" id="figListing71">[Fig 71]: </a><span class="value">Logo Hardhat</span> </p>
<p> <a class="key" href="#fig72" id="figListing72">[Fig 72]: </a><span class="value">Logo Samba</span> </p>
<p> <a class="key" href="#fig73" id="figListing73">[Fig 73]: </a><span class="value">Logo VNC</span> </p>
<p> <a class="key" href="#fig74" id="figListing74">[Fig 74]: </a><span class="value">Logo WSL 2</span> </p>
<p> <a class="key" href="#fig75" id="figListing75">[Fig 75]: </a><span class="value">Logo GitLab</span> </p>
<p> <a class="key" href="#fig76" id="figListing76">[Fig 76]: </a><span class="value">Logo Visual Studio 2022</span> </p>
<p> <a class="key" href="#fig77" id="figListing77">[Fig 77]: </a><span class="value">Logo Visual Studio Code</span> </p>
<p> <a class="key" href="#fig78" id="figListing78">[Fig 78]: </a><span class="value">Logo MySQL Workbench</span> </p>
<p> <a class="key" href="#fig79" id="figListing79">[Fig 79]: </a><span class="value">Logo Wireshark</span> </p>
<p> <a class="key" href="#fig80" id="figListing80">[Fig 80]: </a><span class="value">Logo Markdown</span> </p>
<p> <a class="key" href="#fig81" id="figListing81">[Fig 81]: </a><span class="value">Logo Nethereum</span> </p>
<p> <a class="key" href="#fig82" id="figListing82">[Fig 82]: </a><span class="value">Logo CryptoCompare</span> </p>
<p> <a class="key" href="#fig83" id="figListing83">[Fig 83]: </a><span class="value">Vérification de l'installation Apache2</span> </p>
<p> <a class="key" href="#fig84" id="figListing84">[Fig 84]: </a><span class="value">Vérification de l'installation PHP</span> </p>
<p> <a class="key" href="#fig85" id="figListing85">[Fig 85]: </a><span class="value">Création des certificats</span> </p>
<p> <a class="key" href="#fig86" id="figListing86">[Fig 86]: </a><span class="value">Vérification des certificats</span> </p>
<p> <a class="key" href="#fig87" id="figListing87">[Fig 87]: </a><span class="value">Explorateur de fichiers Windows 10</span> </p>
<p> <a class="key" href="#fig88" id="figListing88">[Fig 88]: </a><span class="value">Ajout disque réseau</span> </p>
<p> <a class="key" href="#fig89" id="figListing89">[Fig 89]: </a><span class="value">Connexion à l'utilisateur Samba</span> </p>
<p> <a class="key" href="#fig90" id="figListing90">[Fig 90]: </a><span class="value">Disque réseau connecté au Raspberry</span> </p>
<p> <a class="key" href="#fig91" id="figListing91">[Fig 91]: </a><span class="value">Configuration de MariaDB</span> </p>
<p> <a class="key" href="#fig92" id="figListing92">[Fig 92]: </a><span class="value">Création du projet Hardhat</span> </p>
<p> <a class="key" href="#fig93" id="figListing93">[Fig 93]: </a><span class="value">Compte généré Hardhat</span> </p>
<p> <a class="key" href="#fig94" id="figListing94">[Fig 94]: </a><span class="value">Planning previsionel</span> </p>
<p> <a class="key" href="#fig95" id="figListing95">[Fig 95]: </a><span class="value">Planning previsionel</span> </p>
</article>
</div>
</div>
</main>
<footer class="md-footer">
<nav aria-label="Footer" class="md-footer__inner md-grid">
<a aria-label="Previous: Journal de bord" class="md-footer__link md-footer__link--prev" href="../JournalDeBord/" rel="prev">
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</div>
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Previous
              </span>
              Journal de bord
            </div>
</div>
</a>
<a aria-label="Next: Planning" class="md-footer__link md-footer__link--next" href="../planningAnnexe/" rel="next">
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Next
              </span>
              Planning
            </div>
</div>
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4z"></path></svg>
</div>
</a>
</nav>
<div class="md-footer-meta md-typeset">
<div class="md-footer-meta__inner md-grid">
<div class="md-footer-copyright">
        
        
          Made with
          <a href="https://squidfunk.github.io/mkdocs-material/" rel="noopener" target="_blank">
            Material for MkDocs
          </a>
 ... <a class="link--pdf-download" download href="../pdf/document.pdf" title="PDF">download PDF</a></div>
</div>
</div>
</footer>
</div>
<div class="md-dialog" data-md-component="dialog">
<div class="md-dialog__inner md-typeset"></div>
</div>
<script id="__config" type="application/json">{"base": "..", "features": [], "translations": {"clipboard.copy": "Copy to clipboard", "clipboard.copied": "Copied to clipboard", "search.config.lang": "en", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "Search", "search.result.placeholder": "Type to start searching", "search.result.none": "No matching documents", "search.result.one": "1 matching document", "search.result.other": "# matching documents", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.term.missing": "Missing", "select.version.title": "Select version"}, "search": "../assets/javascripts/workers/search.fcfe8b6d.min.js", "version": null}</script>
<script src="../assets/javascripts/bundle.b1047164.min.js"></script>
<script src="https://unpkg.com/mermaid@8.5.1/dist/mermaid.min.js"></script>
</body>
</html>